 # 
 # Copyright (C) 2018 Daniel Manrique-Vallier
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or (at
 # your option) any later version.
 # 
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #

wrap_R_script <-
function (script, input_obj_file = NULL, output_obj_file = NULL, 
    output_obj_names = NULL, wd_script = getwd()) 
{
    if (is.null(output_obj_file) && is.null(output_list)) {
        stop("No output specified. Set either output_obj_fie or output_list")
    }
    e <- new.env()
    if (!is.null(input_obj_file)) {
        for (i in seq_along(input_obj_file)) {
            n <- names(input_obj_file)[i]
            fn <- input_obj_file[[i]]
            e[[n]] <- readRDS(fn)
        }
    }
    sfn <- normalizePath(script)
    od <- getwd()
    setwd(wd_script)
    sys.source(sfn, envir = e)
    setwd(od)
    if (!is.null(output_obj_file)) {
        for (i in seq_along(output_obj_file)) {
            n <- names(output_obj_file)[i]
            fn <- output_obj_file[[i]]
            saveRDS(e[[n]], file = fn)
        }
    }
    if (!is.null(output_obj_names)) {
        res <- list()
        for (l in output_obj_names) {
            if (is.null(e[[l]])) 
                warning("No object ", l)
            res[[l]] <- e[[l]]
        }
        return(res)
    }
}
