 # 
 # Copyright (C) 2018 Daniel Manrique-Vallier
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or (at
 # your option) any later version.
 # 
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #

#!/usr/bin/Rscript --vanilla

# batch execution of generation of results from processed experiment output
# Working Dir: project
# INPUT: (command line)
#   <json file to open>
# INPUT: (FILES)
#   Risk-o/cache/postproc_<COMP_ID>.rds (matching those data)
# OUTPUT: (FILES; generated by generate_output.R)
#   Risk-o/output/distribution_<postproc$stratum>.pdf
#   Risk-o/output/risk_<postproc$stratum>.pdf
# Depends on: (FILES)
#    src/parameters.R
#    Risk-o/src/functions.R
#    Risk-o/src/fn_Risk-o.R

source('src/parameters.R')
source('Risk-o/src/fn_Risk-o.R')

f <- commandArgs(trailingOnly=TRUE)
p <- cr_simu_params$new()
p$load_values_from_list(jsonlite::read_json(f, simplifyVector = T))
fn_data <- p$filename(naming_field = 'COMP_ID', rule = 'Risk-o/cache/postproc_%.rds')
postproc <- readRDS(fn_data)
source('Risk-o/src/generate_output.R', local = TRUE)

