 # 
 # Copyright (C) 2018 Daniel Manrique-Vallier
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or (at
 # your option) any later version.
 # 
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #

#!/usr/bin/Rscript --vanilla
#
# batch execution of post processing of experiment output
# Working Dir: project
# INPUT: (FILES)
#   Risk-o/data/*.json 
#   Risk-o/cache/*.rds (matching those data)
# OUTPUT: (FILES)
#   cache/postproc_*.rds (matching data)
# Depends on: (FILES)
#    src/parameters.R
#    Risk-o/src/functions.R
#    Risk-o/src/fn_Risk-o.R

source('src/parameters.R')
source('Risk-o/src/functions.R')
source('Risk-o/src/fn_Risk-o.R')

f <- commandArgs(trailingOnly=TRUE)
p <- cr_simu_params$new()
p$load_values_from_list(jsonlite::read_json(f, simplifyVector = T))
fn_data <- p$filename(naming_field = 'COMP_ID', rule = 'Risk-o/cache/comp_%.rds')
res <- readRDS(fn_data)
fn_output <- p$filename(naming_field = 'COMP_ID', rule = 'Risk-o/cache/postproc_%.rds')
wrap_R_script(script = 'Risk-o/src/post_proc.R', output_obj_file = list(processed = fn_output), wd_script = '.')
