 # 
 # Copyright (C) 2018 Daniel Manrique-Vallier
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or (at
 # your option) any later version.
 # 
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #

#!/usr/bin/Rscript --vanilla
#
# Batch execution of all the tests defined in Risk-o/data/*.json
# ROOT_DIR: project root
# INPUT: all fies Risk-o/data/*.json
# OUTPUT: corresponding *.rds files in Risk-o/cache/
# DEPENDS ON: 
#   src/parameter.R
#   src/fn_mse_preu_support
#   Risk-o/src/fn_Risk-o.R

library(Rcapture) 
library(dplyr)
library(tidyr)
library(tibble)
source('src/parameters.R')
source('Risk-o/src/functions.R')
source('Risk-o/src/fn_Risk-o.R')

f <- commandArgs(trailingOnly=TRUE)
p <- cr_simu_params$new()
p$load_values_from_list(jsonlite::read_json(f, simplifyVector = T))
fn <- p$filename(naming_field = 'COMP_ID', rule = 'Risk-o/cache/comp_%.rds')
wrap_R_script(script = 'Risk-o/src/underpowered.R', 
                      output_obj_file = list(results = fn), wd_script = '.')

